#pragma once
#include "icameraid.h"

#ifdef BUILD_COMMDLL
#define COMMDLL_DLLCLASS __declspec(dllexport)
#else
#define COMMDLL_DLLCLASS __declspec(dllimport)
#endif

class COMMDLL_DLLCLASS CDecimalCameraId : public CICameraId
{
public:
    CDecimalCameraId(void);
    ~CDecimalCameraId(void);

    std::string id(int nIndex) override;
    std::string sos(int nIndex) override;
    std::string eos(int nIndex) override;

    int index(std::string strId) override;
    int indexSOS(std::string strId) override;
    int indexEOS(std::string strId) override;
};
